@echo off
echo.
echo =======================================================================
echo Doom 2 downgrade patch from V1.7A to V1.7 (See D217A17.TXT for details)
echo =======================================================================
echo.
echo This batch file will downgrade
echo.
echo    DOOM II V1.7a   to   DOOM II V1.7
echo.
echo Only DOOM2.WAD and DOOM2.EXE changed between 1.7 and 1.7a; no other
echo files are modified (or need exist) by this version of the batch file.
echo.
echo This patch expects a fresh, legal and UNMODIFIED copy of DOOM2 V1.7; it
echo will abort if anything is found to be amiss. You are STRONGLY advised
echo to apply this patch to a newly installed, original copy of DOOM2 V1.7A!
echo.
echo =======================================================================
pause
echo =======================================================================
echo.
echo +++ Verifying copy of DOOM2
call D217A17M.exe -c D217A17N.txt
if errorlevel 1 goto err_inst
echo.
echo +++ Patching DOOM2.exe (click the "Patch" button when prompted...)
:pex_doit
rem Caution - these patchers return 0 for error and 1 for success!
call D217A17X.exe
if errorlevel 2 goto err_pexe
if errorlevel 1 goto pex_done
goto err_pexe
:pex_done
if exist doom2.bak del doom2.bak
rename D217A17Z.exe DOOM2.EXE
if errorlevel 1 goto err_rexe
echo.
echo +++ Patching DOOM2.wad (click the "Patch" button when prompted...)
:pwa_doit
rem Caution - these patchers return 0 for error and 1 for success!
call D217A17W.exe
if errorlevel 2 goto err_pwad
if errorlevel 1 goto pwa_done
goto err_pwad
:pwa_done
if exist doom2.bak del doom2.bak
rename D217A17Z.wad DOOM2.WAD
if errorlevel 1 goto err_rwad
echo.
echo +++ Setting timestamps
call D217A17T.exe -t 199409211838.08 DOOM2.EXE
if errorlevel 1 goto err_texe
call D217A17T.exe -t 199409211838.08 DOOM2.WAD
if errorlevel 1 goto err_twad
echo.
echo +++ Verifying DOOM2.exe
call D217A17M.exe -c D217A17R.txt
if errorlevel 1 goto err_vexe
echo.
echo +++ Verifying DOOM2.wad
call D217A17M.exe -c D217A17S.txt
if errorlevel 1 goto err_vwad
echo.
echo =======================================================================
pause Finished
echo =======================================================================
echo.
echo You can ignore files named D217A17*.* in the listing below.
echo These are part of the patch and will be deleted automatically.
echo.
dir
echo.
echo =======================================================================
echo The patch will now delete itself. You may get a message saying that the
echo batch file is missing; you can safely ignore that message in this case.
echo =======================================================================
echo.
pause
echo.
goto delpatch
rem ========================================================================
:err_inst
echo Your DOOM2 installation does not appear to be a clean install of V1.7A!
echo Did you follow the installation instructions? See D217A17.TXT for info.
goto err_exit
:err_pexe
echo Could not patch DOOM2.EXE - aborting.
goto err_exit
:err_rexe
echo Could not install patched DOOM2.EXE - aborting.
goto err_exit
:err_pwad
echo Could not patch DOOM2.WAD - aborting.
goto err_exit
:err_rwad
echo Could not install patched DOOM2.WAD - aborting.
goto err_exit
:err_texe
echo Could not set timestamp on DOOM2.EXE - aborting.
goto err_exit
:err_twad
echo Could not set timestamp on DOOM2.WAD - aborting.
goto err_exit
:err_vexe
echo Could not verify patched DOOM2.EXE - aborting.
goto err_exit
:err_vwad
echo Could not verify patched DOOM2.WAD - aborting.
goto err_exit
:err_exit
pause
goto all_exit
rem ========================================================================
:delpatch
del D217A17L.txt
del D217A17M.exe
del D217A17N.txt
del D217A17P.txt
del D217A17Q.txt
del D217A17R.txt
del D217A17S.txt
del D217A17T.exe
del D217A17W.exe
del D217A17X.dll
del D217A17X.exe
del D217A17Y.dll
del D217A17.txt
del D217A17.bat
del D217A17N.bat
:all_exit
